Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(745)

Issue 10895043: code review 10895043: go.tools/cmd/vet: improvements to static checking of pr... (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 years, 4 months ago by adonovan
Modified:
4 years, 3 months ago
Reviewers:
r
CC:
gri, r, golang-dev
Visibility:
Public.

Description

go.tools/cmd/vet: improvements to static checking of printf calls. Details: - added support for complex numbers as distinct from floats: %[efg] allows complex; %b does not. - %p: only Signature, Map, Chan, Slice, unsafe.Pointer allowed. - %s: allow []byte. - allow a verb to match map[K]V and []T if it matches K/V/T, e.g. %d now matches []int. i.e. matching is recursive. - use go/types' constant folding. literal() is gone. - group cases together. Added tests.

Patch Set 1 #

Patch Set 2 : diff -r f6fb747a944e https://code.google.com/p/go.tools #

Patch Set 3 : diff -r f6fb747a944e https://code.google.com/p/go.tools #

Patch Set 4 : diff -r f6fb747a944e https://code.google.com/p/go.tools #

Patch Set 5 : diff -r f6fb747a944e https://code.google.com/p/go.tools #

Patch Set 6 : diff -r f6fb747a944e https://code.google.com/p/go.tools #

Patch Set 7 : diff -r a5f075c30009 https://code.google.com/p/go.tools #

Patch Set 8 : diff -r a5f075c30009 https://code.google.com/p/go.tools #

Patch Set 9 : diff -r a5f075c30009 https://code.google.com/p/go.tools #

Patch Set 10 : diff -r a5f075c30009 https://code.google.com/p/go.tools #

Patch Set 11 : diff -r a5f075c30009 https://code.google.com/p/go.tools #

Patch Set 12 : diff -r a5f075c30009 https://code.google.com/p/go.tools #

Patch Set 13 : code review 10895043: go.tools/cmd/vet: improvements to static checking of pr... #

Patch Set 14 : diff -r a5f075c30009 https://code.google.com/p/go.tools #

Patch Set 15 : diff -r 70059fa0a39e https://code.google.com/p/go.tools #

Patch Set 16 : diff -r 70059fa0a39e https://code.google.com/p/go.tools #

Patch Set 17 : diff -r 14c833355869 https://code.google.com/p/go.tools #

Patch Set 18 : diff -r 14c833355869 https://code.google.com/p/go.tools #

Total comments: 2

Patch Set 19 : diff -r c13a5b840d50 https://code.google.com/p/go.tools #

Unified diffs Side-by-side diffs Delta from patch set Stats (+124 lines, -123 lines) Patch
M cmd/vet/print.go View 1 2 3 4 5 6 7 8 9 10 13 7 chunks +17 lines, -64 lines 0 comments Download
M cmd/vet/testdata/print.go View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 3 chunks +19 lines, -9 lines 0 comments Download
M cmd/vet/types.go View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 3 chunks +88 lines, -50 lines 0 comments Download

Messages

Total messages: 14
adonovan
Hello gri@golang.org, r@golang.org (cc: golang-dev@googlegroups.com), I'd like you to review this change to https://code.google.com/p/go.tools
4 years, 4 months ago (2013-07-02 22:26:37 UTC) #1
r
I assure you vet uses go/types: % cd go.tools/cmd/vet /Users/r/src/code.google.com/p/go.tools/cmd/vet % g go.types main.go:25: "code.google.com/p/go.tools/go/types" ...
4 years, 4 months ago (2013-07-03 02:04:01 UTC) #2
adonovan
D'oh. On 2 July 2013 22:03, Rob Pike <r@golang.org> wrote: > I assure you vet ...
4 years, 4 months ago (2013-07-03 14:43:15 UTC) #3
adonovan
Hello gri@golang.org, r@golang.org (cc: golang-dev@googlegroups.com), Please take another look.
4 years, 4 months ago (2013-07-10 15:25:01 UTC) #4
r
let's land 10748044 and 11206043 and then update this. -rob On Thu, Jul 11, 2013 ...
4 years, 4 months ago (2013-07-12 04:43:54 UTC) #5
adonovan
Hello gri@golang.org, r@golang.org (cc: golang-dev@googlegroups.com), Please take another look.
4 years, 4 months ago (2013-07-12 18:16:39 UTC) #6
r
looks good but it needs a tweak after the recent submissions. you'll probably have a ...
4 years, 4 months ago (2013-07-12 21:54:26 UTC) #7
r
CL description needs updating too
4 years, 4 months ago (2013-07-12 22:16:31 UTC) #8
adonovan
Hello gri@golang.org, r@golang.org (cc: golang-dev@googlegroups.com), Please take another look.
4 years, 4 months ago (2013-07-15 17:40:35 UTC) #9
adonovan
On 2013/07/12 22:16:31, r wrote: > CL description needs updating too Done; PTAL. (Was it ...
4 years, 4 months ago (2013-07-15 17:41:15 UTC) #10
r
total coincidence. -rob
4 years, 4 months ago (2013-07-15 22:07:00 UTC) #11
r
LGTM https://codereview.appspot.com/10895043/diff/51001/cmd/vet/types.go File cmd/vet/types.go (right): https://codereview.appspot.com/10895043/diff/51001/cmd/vet/types.go#newcode72 cmd/vet/types.go:72: // matchArgType reports an error if printf verb ...
4 years, 4 months ago (2013-07-15 22:08:51 UTC) #12
adonovan
*** Submitted as https://code.google.com/p/go/source/detail?r=9f7367db9db0&repo=tools *** go.tools/cmd/vet: improvements to static checking of printf calls. Details: - ...
4 years, 4 months ago (2013-07-15 22:37:53 UTC) #13
adonovan
4 years, 3 months ago (2013-07-25 20:43:20 UTC) #14
Message was sent while issue was closed.
*** Abandoned ***
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld c59f3c4